ldns-signzone.c File Reference

Go to the source code of this file.

## Macros

#define | MAX_FILENAME_LEN 250
#define | __LIST(x) fprintf ( fp, " %3d: %-15s", LDNS_SIGN_ ## x, # x )
#define | __MATCH(x)

## Functions

int | str2zonemd_signflag (const char *str, const char **reason)
int | main (int argc, char *argv[])

## Variables

char * | prog
int | verbosity = 1

## Macro Definition Documentation

## MAX_FILENAME_LEN

#define MAX_FILENAME_LEN 250

Definition at line 34 of file ldns-signzone.c.

## __LIST

#define __LIST | ( |  | x | ) | fprintf ( fp, " %3d: %-15s", LDNS_SIGN_ ## x, # x )

## __MATCH

#define __MATCH | ( |  | x | ) |

Value:
if ( !memcmp ( # x, p, sizeof ( # x ) - 1 ) \
&& p [ sizeof ( # x ) - 1 ] == ',' ) { \
return LDNS_SIGN_ ## x; \
}

## Function Documentation

## str2zonemd_signflag()

int str2zonemd_signflag | ( | const char * | str,
|  | const char ** | reason
| ) |  |

Definition at line 571 of file ldns-signzone.c.

References LDNS_SIGN_WITH_ZONEMD_SIMPLE_SHA384, LDNS_SIGN_WITH_ZONEMD_SIMPLE_SHA512, LDNS_STATUS_NULL, and str2zonemd_signflag().

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 607 of file ldns-signzone.c.

References ldns_struct_key::dnssec, ldns_struct_key::flags, ldns_struct_output_format_storage::hashmap, LDNS_COMMENT_BUBBLEBABBLE, LDNS_COMMENT_FLAGS, LDNS_COMMENT_LAYOUT, LDNS_COMMENT_NSEC3_CHAIN, LDNS_DEFAULT_TTL, ldns_dnssec_default_replace_signatures(), ldns_dnssec_zone_add_rr(), ldns_dnssec_zone_free(), ldns_dnssec_zone_new(), ldns_dnssec_zone_print(), ldns_dnssec_zone_print_fmt(), ldns_dnssec_zone_sign_flg(), ldns_dnssec_zone_sign_nsec3_flg_mkmap(), LDNS_FREE, ldns_get_errorstr_by_id(), ldns_hexdigit_to_int(), ldns_key_list_free(), ldns_key_list_key_count(), ldns_key_list_new(), ldns_key_list_push_key(), ldns_key_new_frm_fp_l(), LDNS_KEY_SEP_KEY, ldns_key_set_expiration(), ldns_key_set_inception(), ldns_mktime_from_utc(), LDNS_NSEC3_MAX_ITERATIONS, LDNS_NSEC3_VARS_OPTOUT_MASK, ldns_rdf_deep_free(), LDNS_RR_CLASS_IN, ldns_rr_list_deep_free(), ldns_rr_list_new(), ldns_rr_list_rr(), ldns_rr_list_rr_count(), ldns_rr_print(), ldns_rr_soa_increment_func_int(), LDNS_SIGN_DNSKEY_WITH_ZSK, LDNS_SIGN_NO_KEYS_NO_NSECS, LDNS_SIGN_WITH_ALL_ALGORITHMS, ldns_soa_serial_unixtime(), LDNS_STATUS_OK, ldns_str2rdf_dname(), LDNS_VERSION, ldns_version(), LDNS_XMALLOC, ldns_zone_deep_free(), ldns_zone_new_frm_fp_l(), ldns_zone_rrs(), ldns_zone_soa(), MAX_FILENAME_LEN, prog, str2zonemd_signflag(), and verbosity.

## Variable Documentation

## prog

char* prog

Definition at line 36 of file ldns-signzone.c.

## verbosity

int verbosity = 1

Definition at line 37 of file ldns-signzone.c.